searchData={"items":[{"type":"module","title":"Randixir","doc":"Documentation for `Randixir`.\n\nBefore using, supply a seed, i.e:\n\niex> :rand.seed(:exsplus, {13999, 2352, 15231})","ref":"Randixir.html"},{"type":"function","title":"Randixir.float/1","doc":"Generate random float from 0.0 to max, inclusive","ref":"Randixir.html#float/1"},{"type":"function","title":"Examples - Randixir.float/1","doc":"iex> :rand.seed(:exsplus, {13999, 2352, 15231})\n    iex> Randixir.float(1.0)\n    0.5365612603062836","ref":"Randixir.html#float/1-examples"},{"type":"function","title":"Randixir.float/2","doc":"Generate random float from min to max (defaulting to 0.0 - 1.0)","ref":"Randixir.html#float/2"},{"type":"function","title":"Examples - Randixir.float/2","doc":"iex> :rand.seed(:exsplus, {13999, 2352, 15231})\n    iex> Randixir.float(0,1)\n    0.5365612603062836","ref":"Randixir.html#float/2-examples"},{"type":"function","title":"Randixir.int/1","doc":"Generate random int from 0 to max, inclusive","ref":"Randixir.html#int/1"},{"type":"function","title":"Examples - Randixir.int/1","doc":"iex> :rand.seed(:exsplus, {13999, 2352, 15231})\n    iex> Randixir.int(5)\n    4","ref":"Randixir.html#int/1-examples"},{"type":"function","title":"Randixir.int/2","doc":"Generate random int from min to max, both inclusive (defaulting to 0 - 10)","ref":"Randixir.html#int/2"},{"type":"function","title":"Examples - Randixir.int/2","doc":"iex> :rand.seed(:exsplus, {13999, 2352, 15231})\n    iex> Randixir.int(0,5)\n    4","ref":"Randixir.html#int/2-examples"},{"type":"extras","title":"Randixir","doc":"# Randixir\n\n**Random generator for elixir based on Erlang/OTP, the recommended package for random**","ref":"readme.html"},{"type":"extras","title":"Installation - Randixir","doc":"The package can be installed by adding `randixir` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:randixir, \"~> 0.1.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"},{"type":"extras","title":"Usage - Randixir","doc":"first, generate seed\n\n```elixir\n:rand.seed(:exsplus, {13999, 2352, 15231})\n```\n\n#### Generate int\n\n- supply only max (inclusive), defaulting min to 0\n\n```elixir\nRandixir.int(5)\n```\n\n- supply min and max, both inclusive\n\n```elixir\nRandixir.int(0,5)\n```\n\n#### Generate float\n\n- supply only max (inclusive), defaulting min to 0\n\n```elixir\nRandixir.float(5.0)\n```\n\n- supply min and max, both inclusive\n\n```elixir\nRandixir.float(0.0,5.0)\n```","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}